//mp_uo_brjansk version 2b

main()
{
	setCullFog (0, 8500, .61, .66, .68, 0);

	ambientPlay("ambient_mp_pavlov");

	setcvar("sv_night", "0" );
	
	maps\mp\_load::main();
	maps\mp\mp_uo_brjansk2b_fx::main();
	
	game["allies"] = "russian";
	game["axis"] = "german";

	game["russian_soldiertype"] = "conscript";
	game["russian_soldiervariation"] = "normal";
	game["german_soldiertype"] = "wehrmacht";
	game["german_soldiervariation"] = "normal";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["layoutimage"] = "mp_uo_brjansk2b";
	game["ctf_layoutimage"] = "mp_uo_brjansk2b_ctf";
	game["dom_layoutimage"] = "mp_uo_brjansk2b_dom";

	game["hud_allies_victory_image"]= "gfx/hud/hud@mp_victory_brjansk2b_r.dds";
	game["hud_axis_victory_image"] = "gfx/hud/hud@mp_victory_brjansk2b_g.dds";

	//Headquarters
	if (getcvar("g_gametype") == "hq")
	{
		radio = spawn ("script_model", (0,0,0)); //northwest house
		radio.origin = (-1496, -880, 64);
		radio.angles = (0, 8, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0)); //southwest house
		radio.origin = (-1632, -2968, 0);
		radio.angles = (0, 308, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0)); //southeast house
		radio.origin = (560, -3512, 0);
		radio.angles = (0, 68, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0)); //northeast backyard
		radio.origin = (952, -1104, 64);
		radio.angles = (0, 263, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0)); //center
		radio.origin = (-304, -2320, 56);
		radio.angles = (0, 134, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0)); //tunnels east
		radio.origin = (80, -2432, -256);
		radio.angles = (0, 143, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0)); //tunnels west
		radio.origin = (-952, -2272, -304);
		radio.angles = (0, 143, 0);
		radio.targetname = "hqradio";
	}

	//Domination
	flag1 = getent("flag1","targetname");
	flag1.script_timer = 8;
	flag1.description = ("North-west roadblock");
	
       	flag2 = getent("flag2","targetname");
	flag2.script_timer = 8;
	flag2.description = ("South-west roadblock");

        flag3 = getent("flag3","targetname");
	flag3.script_timer = 8;
	flag3.description = ("Small square");

        flag4 = getent("flag4","targetname");
	flag4.script_timer = 8;
	flag4.description = ("North-east courtyard");

        flag5 = getent("flag5","targetname");
	flag5.script_timer = 8;
	flag5.description = ("South-east roadblock");

	//Retrieval
	level.obj["Code Book"] = (&"RE_OBJ_CODE_BOOK");
	level.obj["Field Radio"] = (&"RE_OBJ_FIELD_RADIO");
	game["re_attackers"] = "allies";
	game["re_defenders"] = "axis";
	game["re_attackers_obj_text"] = (&"RE_OBJ_CARENTAN_OBJ_ATTACKER");
	game["re_defenders_obj_text"] = (&"RE_OBJ_CARENTAN_OBJ_DEFENDER");
	game["re_spectator_obj_text"] = (&"RE_OBJ_CARENTAN_OBJ_SPECTATOR");
	game["re_attackers_intro_text"] = (&"RE_OBJ_CARENTAN_SPAWN_ATTACKER");
	game["re_defenders_intro_text"] = (&"RE_OBJ_CARENTAN_SPAWN_DEFENDER");
}